Users
GET
users/me
Retrieves the user object for the current user. The Autodesk ID provided in the authentication is mapped to a specific user in BuildingConnected. Users can only belong to a single company in BuildingConnected, and Autodesk ID can map the Autodesk ID to only one BuildingConnected user ID.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/users/me |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
Expand all
| id string | The unique BuildingConnected ID of this user.
Max length: 24 |
| autodeskId string | The user’s Autodesk ID. By default this value is null because an Autodesk ID is not a requirement to log in to BuildingConnected.
Users can associate their BuildingConnected user login with an Autodesk ID by going to account settings in BuildingConnected. Default: null |
| emailVerified boolean | Indicates whether the user has verified the listed email address. Possible values:
|
| employmentVerified boolean | Indicates whether the user’s employment at the company has been verified. Possible values:
|
| createdAt datetime: ISO 8601 | The date and time that the user was created, in the following format: YYYY-MM-DDThh:mm:ss.sz (ISO 8601 format). |
| firstName string | The user’s first name. |
| lastName string | The user’s last name. |
| email string | The user’s email address. |
| alternateEmails array: string | The user’s alternate email addresses. |
| avatarImageUrl string | The cached imgix url for the avatar image of the user with size denoted in last two values of rect parameter in the url. |
| jobTitle string | The user’s job title. |
| phoneNumber string | The user’s phone number. |
| companyId string | The unique BuildingConnected ID of the company to which this user belongs.
Max length: 24 |
| isAccountClaimed boolean | Indicates whether the user has claimed their BuildingConnected account. Possible values:
|
| bidBoardPermissions object | An object defining what permissions the user has in Bid Board. |
| viewAll boolean | Indicates whether this user can view opportunities of which they aren’t explicitly a member. Possible values:
|
| reports boolean | Indicates whether this user has access to the Reports tab on Bid Board. Possible values:
|
| leaderboard boolean | Indicates whether this user has access to the Leaderboard tab on Bid Board. Possible values:
|
| modifyPermissions boolean | Indicates whether the user can manipulate the Bid Board permissions of other users. Possible values:
|
| offices array: object | An array of objects describing the offices to which this user belongs. |
| id string | The unique ID of the office.
Max length: 24 |
| isPrimary boolean | Indicates whether this office is the primary office of the user. A user can have only one priamry office. Possible values:
|
| hasBbPro boolean | Indicates whether this office has an active Bid Board Pro subscription at the office level. This reflects the office’s subscription only and is independent of whether individual users have a Bid Board Pro license assigned directly to them. Possible values:
|
| hasBcPro boolean | Indicates whether this office has an active BuildingConnected Pro subscription at the office level. This reflects the office’s subscription only and is independent of whether individual users have a BC Pro license assigned directly to them. Possible values:
|
| officeLead boolean | Indicates whether this user is a lead for this office. Users can set themselves as leads at any time.
|
| name string | The name of this office. |
| address string | The full street address of this office. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/users/me' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"id": "5d8104b87e392d56e1e4b4ca",
"autodeskId": null,
"emailVerified": true,
"employmentVerified": true,
"createdAt": "2021-08-19T23:07:16.083Z",
"firstName": "First",
"lastName": "Last",
"email": "email@example.com",
"alternateEmails": [
"email@alternate.com"
],
"avatarImageUrl": "https://www.example.com/image.png?auto=format&rect=208,16,300,299",
"jobTitle": "Estimator",
"phoneNumber": "555-555-5555",
"companyId": "5d8104b87e392d56e1e4c7df",
"isAccountClaimed": true,
"bidBoardPermissions": {
"viewAll": true,
"reports": false,
"leaderboard": true,
"modifyPermissions": false
},
"offices": [
{
"id": "5b7104b87e392d56e1e4b3bf",
"isPrimary": true,
"hasBbPro": true,
"hasBcPro": false,
"officeLead": false,
"name": "San Francisco",
"address": "600 California St., 6th Floor, San Francisco, CA 94108"
}
]
}
Show More